#include <iostream>
#include <fstream>
#include <string>
using namespace std;
int main()
	{
	ifstream f1("DEMTU.INP");
	char s[256];
	f1.getline(s,256);
	f1.close();
	ofstream f2("DEMTU.OUT");
	int dem=0;
	for(int j=0; s[j]!='\0';j++)
	{
	for(int i=0; i<j-1; i++)
	{
		if(s[0]!=' ')
		{
			dem++;	
		}
		if(s[i]==' '&&s[i+1]!=' ')
		{
			dem++;
		}
		f2<<dem++;
	}
	f2.close();
	return 0;
	}
	
	}
